package studentmanagement.service.authentication;

import org.springframework.stereotype.Service;
import studentmanagement.model.dto.create.AdminLoginRequest;
import studentmanagement.model.dto.create.AdminRegisterRequest;
import studentmanagement.model.dto.create.StudentLoginRequest;
import studentmanagement.model.dto.create.StudentRegisterRequest;
import studentmanagement.model.dto.create.TeacherLoginRequest;
import studentmanagement.model.dto.create.TeacherRegisterRequest;
import studentmanagement.model.dto.response.LoginResponse;

@Service
public interface AuthenticationService {

    LoginResponse loginAdmin(AdminLoginRequest request);

    LoginResponse registerStudent(StudentRegisterRequest request);

    LoginResponse registerTeacher(TeacherRegisterRequest request);

    LoginResponse loginStudent(StudentLoginRequest request);

    LoginResponse loginTeacher(TeacherLoginRequest request);
}