package studentmanagement.model.API;

public class API {
    public static final String V1 = "/studentmanagement/api/v1";
    public static final String AUTH = "/auth";
    public static final String STUDENT = "/student";
    public static final String TEACHER = "/teacher";
    public static final String ADMIN = "/admin";
    public static final String COURSE = "/course";
    public static final String GRADE = "/grade";
    public static final String REGISTER = "/register";
    public static final String LOGIN = "/login";
    public static final String LOGOUT = "/logout";
    public static final String ALL = "/**";
    public static final String LOCKED = "/locked";
    public static final String ROLE_CHANGE = "/role-change";
    public static final String EMPLOY = "/employ";
    public static final String FIRE = "/fire";
    public static final String ENROLL = "/enroll";
    public static final String DISMISS = "/dismiss";

    public static final String ADMIN_TEACHER_AUTHORITY = "hasAnyAuthority('ADMIN', 'TEACHER')";
    public static final String ADMIN_AUTHORITY = "hasAuthority('ADMIN')";
    public static final String ANY_AUTHORITY = "hasAnyAuthority('ADMIN', 'TEACHER', 'STUDENT')";
}
