package studentmanagement.model.dto.create;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@AllArgsConstructor
@NoArgsConstructor
@Data
public class RoleChangeRequest {

    @NotNull
    @NotBlank
    private String username;

    @NotNull
    @NotBlank
    private String currentRole;

    @NotNull
    @NotBlank
    private String newRole;
}
