package studentmanagement.model.dto.find;

import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;

public record GradeDto(@NotNull @Positive Long id,
                       @NotNull @Min(value = 2) @Max(value = 6) Double grade,
                       @NotNull StudentIdNameDto student,
                       @NotNull CourseIdNameDto course) {
}
