package studentmanagement.model.dto.response;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import studentmanagement.model.person.teacher.Degree;

@Getter
@Setter
@AllArgsConstructor
public class TeacherUpsertResponse {

    @NotNull
    @Positive
    private Long id;

    @NotNull
    @NotBlank
    private String name;

    @NotNull
    @NotBlank
    private String username;

    @NotNull
    private Degree degree;
}
