package studentmanagement.model.key;

import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

@NoArgsConstructor
@Data
@AllArgsConstructor
public class IDableKey {
    @NotNull
    @Positive
    private Long id;

    public IDableKey(String id) {
        this.id = Long.parseLong(id);
    }

    public Long id() {
        return id;
    }
}
