package studentmanagement.model.person.teacher;

public enum Degree {
    MSC("MSc"),
    BSC("BSc"),
    PHD("PHD");

    private final String asString;


    Degree(String asString) {
        this.asString = asString;
    }

    public static Degree of(String word) {
        return Degree.valueOf(word.toUpperCase());
    }

    public String getAsString() {
        return asString;
    }
}
