package studentmanagement.service.generic;

import studentmanagement.model.IDable;
import studentmanagement.model.key.IDableKey;

import java.util.Collection;

public interface Service<T extends IDable> {
    T save(T idable);

    T findById(IDableKey key);

    T deleteById(IDableKey key);

    Collection<T> findAll();

    Collection<IDableKey> findAllKeys();
}