package studentmanagement.model.dto;

import jakarta.validation.constraints.Max;
import jakarta.validation.constraints.Min;
import jakarta.validation.constraints.NotNull;
import studentmanagement.model.dto.find.StudentIdNameDto;

public record GradeEntry(@NotNull StudentIdNameDto student,
                         @NotNull @Min(value = 2) @Max(value = 6) Double grade) {
}
