package studentmanagement.model.dto.response;

import jakarta.validation.constraints.NotBlank;
import jakarta.validation.constraints.NotNull;
import jakarta.validation.constraints.Positive;
import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.Setter;
import studentmanagement.model.dto.find.TeacherIdNameDto;

@Getter
@Setter
@AllArgsConstructor
public class CourseCreateResponse {

    @NotNull
    @Positive
    private Long id;

    @NotNull
    @NotBlank
    private String name;

    @NotNull
    private TeacherIdNameDto teacher;
}
